//
//  MARSRestFul.h
//  RESTFul
//
//  Created by Nhat Huy on 8/20/13.
//  Copyright (c) 2013 Mulodo Viet Nam. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "MARSUtility.h"

#define kApiUrl @"http://192.168.2.199/free_market/"

typedef void (^Complete)(NSData *responseData, NSURLResponse *urlResponse);
typedef void (^Error)(NSError *error);
typedef void (^Uploading)(NSInteger byteWritten, NSInteger totalByteWritten);

@interface MARSRestFul : NSObject <NSURLConnectionDataDelegate>

@property (nonatomic,strong) NSMutableData *data;
@property (nonatomic,strong) NSString *apiName;


// Singletons
+ (id)sharedRESTFul;

// Interface
- (void)postPayload:(NSDictionary *)payload apiName:(NSString *)apiName complete:(Complete)completionBlock didFail:(Error)errorBlock;

// Private
- (void)setUpRequest;
- (void)sendRequest;

@end
